Skip to main content

Query the currency information

Request

Get /api/v3/capital/config/getall

Response

[
{
"coin": "BTC",
"name": "BTC-BSC",
"networkList": [
{
"coin": "BTC",
"depositDesc": null,
"depositEnable": true,
"minConfirm": 3,
"name": "Bitcoin",
"network": "Bitcoin(BTC)",
"withdrawEnable": true,
"withdrawFee": "0.000014",
"withdrawIntegerMultiple": null,
"withdrawMax": "50",
"withdrawMin": "0.00008",
"sameAddress": false,
"contract": "",
"withdrawTips": "",
"depositTips": null,
"netWork": "BTC"
},
{
"coin": "BTC",
"depositDesc": null,
"depositEnable": true,
"minConfirm": 61,
"name": "BTC-BSC",
"network": "BNB Smart Chain(BEP20)",
"withdrawEnable": true,
"withdrawFee": "0.00000028",
"withdrawIntegerMultiple": null,
"withdrawMax": "100",
"withdrawMin": "0.00003",
"sameAddress": false,
"contract": "0x7130d2a12b9bcbfae4f2634d864a1ee1ce3ead9c",
"withdrawTips": null,
"depositTips": null,
"netWork": "BSC"
}
]
},
{
"coin": "SUT",
"name": "SUPERTRUST",
"networkList": [
{
"coin": "SUT",
"depositDesc": null,
"depositEnable": true,
"minConfirm": 450,
"name": "SUPERTRUST",
"network": "Polygon(MATIC)",
"withdrawEnable": true,
"withdrawFee": "0.2",
"withdrawIntegerMultiple": null,
"withdrawMax": "100000",
"withdrawMin": "10",
"sameAddress": false,
"contract": "0x98965474EcBeC2F532F1f780ee37b0b05F77Ca55",
"withdrawTips": null,
"depositTips": null,
"netWork": "MATIC"
}
]
}
]
  • GET /api/v3/capital/config/getall

Permission: SPOT_WITHDRAW_READ

Weight(IP): 10

Query currency details and the smart contract address

Parameters:

None

Response:

NameDescription
depositEnabledepositEnable
withdrawEnablewithdrawEnable
withdrawFeewithdrawFee
withdrawMaxMax withdraw amount
withdrawMinMin withdraw amount
withdrawIntegerMultipleWithdrawal precision
contractcoin contract
withdrawTipswithdrawTips
depositTipsdepositTips
networkwithdraw network(previous params,offline soon)
netWorkwithdraw network(new params,for new withdraw endpoint)